when gcc update, occi link error

when i update gcc 4.1 to gcc 5.1

i want to use occi11.2 connect to oracle11g
and have install

oracle-instantclient11.2-basic-11.2.0.4.0-1.x86_64.rpm

oracle-instantclient11.2-devel-11.2.0.4.0-1.x86_64.rpm

oracle-instantclient11.2-odbc-11.2.0.4.0-1.x86_64.rpm

a link error is:

/usr/bin/ld: Dwarf Error: found dwarf version '4', this reader only handles version 2 information.

output/MaintainEventList.o: In function _ZL20EventCommonStoreToDBP13st_SINGLELISTPN6oracle4occi10ConnectionE':
MaintainEventList.cpp:(.text+0x36a4): undefined reference to
_ZNK6oracle4occi12SQLException10getMessageB5cxx11Ev’
MaintainEventList.cpp:(.text+0x3edb): undefined reference to `_ZNK6oracle4occi12SQLException10getMessageB5cxx11Ev’
collect2: error: ld returned 1 exit status
make: *** [bin/depositor] Error 1

how to deal with ?


Source: gcc

Leave a Reply